import {
    getMyInfo,
} from '~/api/user'
import share from '~/mixins/share'
import event from '~/mixins/event'
import {
    getSaleData
} from '~/api/sale'
import {
    createStoreBindings
} from 'mobx-miniprogram-bindings'
import {
    store
} from '~/store/index'
Page({
    behaviors: [share,event],
    data: {
        allIncome: {}
    },
    async onLoad() {
        // 手工绑定 
        this.storeBindings = createStoreBindings(this, {
            store,
            fields: {
                userInfo: 'userInfo',
            }
        })
    },
    async onShow() {
        let allIncome = await getSaleData()
        this.setData({
            allIncome
        })
    },
    jump({
        currentTarget
    }) {
        wx.navigateTo({
            url: `/salesperson/pages/${currentTarget.dataset.url}/index`,
        })
    },
    openInvite() {
        this.selectComponent("#InvitePop").openInvite()
    },
})